Package org.apache.sis.measure

## Class AngleFormat.Field

- Object
- - AttributedCharacterIterator.Attribute
  - - Format.Field
    - - Field

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    AngleFormat

      public static final class AngleFormat.Field
      extends Format.Field

  Constants that are used as attribute keys in the iterator returned from `AngleFormat​.formatToCharacterIterator(Object)`.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-utility` module

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static AngleFormat.Field` | `DEGREES` | Identifies the degrees field, including the degrees symbol (if any).
    `static AngleFormat.Field` | `HEMISPHERE` | Identifies the hemisphere symbol (if any).
    `static AngleFormat.Field` | `MINUTES` | Identifies the minutes field, including the minutes symbol (if any).
    `static AngleFormat.Field` | `SECONDS` | Identifies the seconds field, including the seconds symbol (if any).

    - ### Fields inherited from class AttributedCharacterIterator.Attribute

      `INPUT_METHOD_SEGMENT, LANGUAGE, READING`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Object` | `readResolve()` | Invoked on deserialization for resolving this instance to one of the predefined constants.

    - ### Methods inherited from class AttributedCharacterIterator.Attribute

      `equals, getName, hashCode, toString`

    - ### Methods inherited from class Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEGREES

          public static final AngleFormat.Field DEGREES

      Identifies the degrees field, including the degrees symbol (if any). When formatting a string, this value may be specified to the `FieldPosition` constructor in order to get the bounding index where degrees have been written.

    - #### MINUTES

          public static final AngleFormat.Field MINUTES

      Identifies the minutes field, including the minutes symbol (if any). When formatting a string, this value may be specified to the `FieldPosition` constructor in order to get the bounding index where minutes have been written.

    - #### SECONDS

          public static final AngleFormat.Field SECONDS

      Identifies the seconds field, including the seconds symbol (if any). When formatting a string, this value may be specified to the `FieldPosition` constructor in order to get the bounding index where seconds have been written.

    - #### HEMISPHERE

          public static final AngleFormat.Field HEMISPHERE

      Identifies the hemisphere symbol (if any). When formatting a string, this value may be specified to the `FieldPosition` constructor in order to get the bounding index where hemisphere have been written.

  - ### Method Detail

    - #### readResolve

          protected final Object readResolve()
                                      throws InvalidObjectException

      Invoked on deserialization for resolving this instance to one of the predefined constants.
      Overrides:
        `readResolve` in class `AttributedCharacterIterator​.Attribute`
      Returns:
        one of the predefined constants.
      Throws:
        `InvalidObjectException` - if this instance can not be resolved.